# Generated by Django 2.0.5 on 2019-05-22 09:50

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    def call_command_to_create_sow_base_template(apps, schema_editor):
        from django.core.management import call_command
        call_command("createsowbasetemplate")

    initial = True

    dependencies = [
        ('accounts', '0064_customer_is_ms_customer'),
    ]

    operations = [
        migrations.CreateModel(
            name='SOWBaseTemplate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('type', models.CharField(choices=[('Fixed Fee', 'Fixed Fee'), ('T & M', 'T & M')], max_length=30)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='base_templates', to='accounts.Provider')),
                ('template_file', models.CharField(default='configs/base_template/providers/default', max_length=255))
            ],
        ),
        migrations.CreateModel(
            name='SOWDocument',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=25, unique=True)),
                ('json_config', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('opportunity_id', models.IntegerField()),
                ('base_template', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='documents', to='document.SOWBaseTemplate')),
                ('customer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='documents', to='accounts.Customer')),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='documents', to='accounts.Provider')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='SOWTemplate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=25, unique=True)),
                ('json_config', django.contrib.postgres.fields.jsonb.JSONField(blank=True, null=True)),
                ('base_template', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='templates', to='document.SOWBaseTemplate')),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='accounts.Provider')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AlterUniqueTogether(
            name='sowbasetemplate',
            unique_together={('type', 'provider')},
        ),
        migrations.RunPython(call_command_to_create_sow_base_template),

    ]
